summaryrefslogtreecommitdiffstats
path: root/office/tellico
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:26:13 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:26:13 +0200
commitd3f4b15a6e872371bf8013c9ea644454375216f1 (patch)
tree394c46ea72054c0dc878c5239d4b575cb323e58b /office/tellico
parentabef7dd54f5771c6c38d63b2de9c94a3768b85f7 (diff)
downloadslackbuilds-d3f4b15a6e872371bf8013c9ea644454375216f1.tar.gz
slackbuilds-d3f4b15a6e872371bf8013c9ea644454375216f1.tar.xz
office/tellico: Updated for version 1.3.4
Diffstat (limited to 'office/tellico')
-rw-r--r--office/tellico/README5
-rw-r--r--office/tellico/doinst.sh6
-rw-r--r--office/tellico/tellico.SlackBuild26
-rw-r--r--office/tellico/tellico.info6
4 files changed, 22 insertions, 21 deletions
diff --git a/office/tellico/README b/office/tellico/README
index aa5132de22..4e00c5eaa2 100644
--- a/office/tellico/README
+++ b/office/tellico/README
@@ -12,5 +12,6 @@ right, selected fields are shown in column format, allowing you to sort by any
field. On the bottom is a customizable HTML view of the current entry. The
entry editor is a dialog box where you enter the data.
-Recommended for tellico is the yaz programmer toolkit (yaz >= 2.0), which is
-also available at SlackBuilds.org.
+Recommended (but no hard dependencies) for tellico are the yaz programmer
+toolkit, and exempi (which requires the boost library). Buildscripts for
+all are available at SlackBuilds.org.
diff --git a/office/tellico/doinst.sh b/office/tellico/doinst.sh
index 22d4849bce..854e20633d 100644
--- a/office/tellico/doinst.sh
+++ b/office/tellico/doinst.sh
@@ -1,5 +1,3 @@
-
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
fi
-
diff --git a/office/tellico/tellico.SlackBuild b/office/tellico/tellico.SlackBuild
index eaece199b8..0043e383e7 100644
--- a/office/tellico/tellico.SlackBuild
+++ b/office/tellico/tellico.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# SlackBuild script for tellico
-# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,7 +24,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=tellico
-VERSION=1.3.1
+VERSION=${VERSION:-1.3.4}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,15 +34,15 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCFILES="AUTHORS COPYING ChangeLog INSTALL TODO NEWS README tellico.lsm tellico.tips"
-
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
-set -e
+set -e # Exit on most errors.
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -51,7 +51,11 @@ cd $TMP
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -60,8 +64,6 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--sysconfdir=/etc \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
--disable-debug
make
@@ -73,9 +75,9 @@ make install-strip DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL TODO NEWS README tellico.lsm tellico.tips \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/office/tellico/tellico.info b/office/tellico/tellico.info
index ecbc15f431..733e9d8a64 100644
--- a/office/tellico/tellico.info
+++ b/office/tellico/tellico.info
@@ -1,8 +1,8 @@
PRGNAM="tellico"
-VERSION="1.3.1"
+VERSION="1.3.4"
HOMEPAGE="http://periapsis.org/tellico/"
-DOWNLOAD="http://periapsis.org/tellico/download/tellico-1.3.1.tar.gz"
-MD5SUM="75f5e868c37d08830e4ad9c88a64277a"
+DOWNLOAD="http://periapsis.org/tellico/download/tellico-1.3.4.tar.gz"
+MD5SUM="d6531a9731cc50c59cd2588e7af22ff8"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
APPROVED="David Somero"